<div class="loading" *ngIf="processing">
  <img src="assets/loading.gif" class="loading-img">
  <br>
  <label class="loading-text">Ejecutando regression testing</label>
  <label class="loading-text" *ngIf="processedOne">Version Uno generada</label>
  <label class="loading-text" *ngIf="processedTwo">Version Dos generada</label>
  <label class="loading-text" *ngIf="generatingData">Generando reporte</label>
</div>
<div class="container" *ngIf="ifProcessed === false">
  <div class="row">
    <div class="col-md-12">
      <h1>Regression Testing</h1>
      <br>
      <p>Para usar regression testing, debe seleccionar 2 archivos .feature, la base y la version a comprar</p>
      <br>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <h3>Seleccione version 1</h3>
    </div>
    <div class="col-md-4">
      <input type="file" class="custom-file-input" #ifile name="ifile" (change)="versionOneSelected($event)">
      <label class="custom-file-label" for="validatedCustomFile">Seleccionar archivo</label>
    </div>
    <div class="col-md-2">
      <img src="assets/ok.png" class="ok" *ngIf="fileVersionOne">
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <h3>Seleccione version 2</h3>
    </div>
    <div class="col-md-4">
      <input type="file" class="custom-file-input" #ifile name="ifile" (change)="versionTwoSelected($event)">
      <label class="custom-file-label" for="validatedCustomFile">Seleccionar archivo</label>
    </div>
    <div class="col-md-2">
      <img src="assets/ok.png" class="ok" *ngIf="fileVersionTwo">
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-lg btn-success btn-block" (click)="startRegression()" [disabled]="fileVersionTwo == undefined || fileVersionOne == undefined">Iniciar
        Regression Testing</button>
    </div>
  </div>
</div>

<div class="container" *ngIf="ifProcessed">
  <table class="table">
    <thead>
      <tr>
        <th scope="col">Imagen base {{versionOne}}</th>
        <th scope="col">Imagen comparación {{versionTwo}}</th>
        <th scope="col">Diferencies</th>
        <th scope="col">Información importante</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let current of getCounts()">
        <td><img src="http://localhost:3000/regressions/states/{{versionTwo}}/{{current}}" class="img-thumbnail"></td>
        <td><img src="http://localhost:3000/regressions/states/{{versionOne}}/{{current}}" class="img-thumbnail"></td>
        <td><img src="http://localhost:3000/regressions/comparison/{{versionTwo}}/{{versionOne}}/{{current}}" class="img-thumbnail"></td>
        <td>
          isSameDimensions = {{reports[current]?.isSameDimensions}} dimensionDifference width
          ={{reports[current]?.dimensionDifference?.width}} dimensionDifference height =
          {{reports[current]?.dimensionDifference?.height}}
          misMatchPercentage = {{reports[current]?.misMatchPercentage}} analysisTime =
          {{reports[current]?.analysisTime}}
        </td>
      </tr>
    </tbody>
  </table>
  <div class="col-12">
    <!-- <button type="button" class="btn btn-success btn-lg btn-block" (click)="generateReport()">Generar reporte</button> -->
  </div>
</div>